const { shell } = require("electron");
const 路径模块 = require("path");
ipcMain.handle("设置快捷方式", (event, 程序名称, 快捷方式说明, 图标路径) => {
    const 目标路径 = 路径模块.join(app.getPath("desktop"), 程序名称 + ".lnk");
    // 创建快捷方式的选项
    const options = {
        target: process.execPath,
        args: ["--some-flag"],
        description: 快捷方式说明,
        iconPath: 图标路径,
        iconIndex: 0
    };
    shell.writeShortcutLink(目标路径, "create", options)
});